      subroutine sub_land_sea_alti(alat,alon,init,flagtermer,iunittm
     &                         ,indtermer,nomfichtermer)
C*****************************************************************
C
C PROCEDURE DE LECTURE ET DE DECODAGE DE L'INDICE TERRE/MER
C (RESOLUTION = 1/6 DEGRE DE 90N A 90S DE LATITUDE ET DE
C 0 a 360 DEGRES DE LONGITUDE).
C ON A UN ENREGISTREMENT PAR LATITUDE (1080 ENREGISTREMENTS).
C POUR CHAQUE LATITUDE, ON A 2160 LONGITUDES DIFFERENTES QUI SONT CODEES
C SUR 72 INTEGER*4 (SOIT LES 30 PREMIERS BITS UTILISES DE CHAQUE ENTIER).
C LE BIT EST MIS A 1 LORSQUE L'ON EST SUR MER.
C
C*****************************************************************
C Declaration A rajouter dans le programme principal
      real alat,alon
      integer*4 indtermer(2160,1080),flagtermer,init,iunittm
      character*200 nomfichtermer
C Fin **********************************************
      integer*2 nb_lon,indi_relief(2160),alti_relief(2160)

C *** INIT=0 : LECTURE DES 72*1080 INTEGER*4 DANS LE FICHIER 
C *** nomfichtermer D'UNITE LOGIQUE iunittm
      if(init.eq.0) then
        open(iunittm,file=nomfichtermer,form='unformatted')
         do ilat=1,1080
            do ilon=1,2160
               indtermer(ilon,ilat)=-1
            enddo
            read(1)nb_lon,(indi_relief(ilon)
     &                    ,alti_relief(ilon),ilon=1,nb_lon)
            do ilon=1,nb_lon
               indtermer(indi_relief(ilon),ilat)=alti_relief(ilon)
      if(alti_relief(ilon).eq.-30) write(*,*) ilon,ilat
            enddo
         enddo
         close(iunittm)
       else

C *** UNIT = 1 : RECHERCHE ET DECODAGE DE L'INTEGER*4 QUI CONTIENT
C *** L'INDICE TERRE/MER POUR LA LATITUDE alat ET LA LONGITUDE alon
C *** ILAT = NUMERO DU RECORD A LIRE DANS LE FICHIER EN ACCES DIRECT
C *** ILON = INDICE DE 1 A 2160 POUR LA LONGITUDE
C *** INDMOT = NUMERO DE L'INTEGER*4 DANS LE TABLEAU indtermer
C *** NUMBIT = NUMERO DU BIT A RETENIR POUR AVOIR L'INDICE TERRE/MER
C ***          CORRESPONDANT A alat ET alon
         ilat=int((90.+1./12.-alat)*6.+0.5)
         if(ilat.le.0) ilat=1
         if(ilat.gt.1080) ilat=1080
         ilon=int(alon*6.+0.5)
         if(alon.lt.0) ilon=int((alon+360.)*6.+0.5)
         if(ilon.le.0) ilon=1
         flagtermer=indtermer(ilon,ilat)
         if(ilat.le.0.or.ilat.gt.1080)
     &   write(*,*) alat,ilat,alon,ilon,indmot,numbit,
     &               indtermer(ilon,ilat)
       endif
       return
       end
